Spot Account Orders
Request:
{
"method": "SUBSCRIPTION",
"params": [
"spot@private.orders.v3.api.pb"
]
}
Request Parameter: spot@private.orders.v3.api.pb
Response:
{
channel: "spot@private.orders.v3.api.pb",
symbol: "MXUSDT",
sendTime: 1736417034281,
privateOrders {
clientId: "C02__505979017439002624115",
price: "3.5121",
quantity: "1",
amount: "0",
avgPrice: "3.6962",
orderType: 5,
tradeType: 2,
remainAmount: "0",
remainQuantity: "0",
lastDealQuantity: "1",
cumulativeQuantity: "1",
cumulativeAmount: "3.6962",
status: 2,
createTime: 1736417034259
}
}
Response Parameters:
| Parameter | Data Type | Description |
|---|---|---|
| symbol | string | Trading pair |
| sendTime | long | Event time |
| privateOrders | json | Account order information |
| clientId | string | Order ID |
| price | bigDecimal | Order price |
| quantity | bigDecimal | Order quantity |
| amount | bigDecimal | Total order amount |
| avgPrice | bigDecimal | Average trade price |
| orderType | int | Order type: LIMIT_ORDER (1), POST_ONLY (2), IMMEDIATE_OR_CANCEL (3), FILL_OR_KILL (4), MARKET_ORDER (5); Stop loss/take profit (100) |
| tradeType | int | Trade type (1: Buy, 2: Sell) |
| remainAmount | bigDecimal | Remaining amount |
| remainQuantity | bigDecimal | Remaining quantity |
| cumulativeQuantity | bigDecimal | Cumulative trade quantity |
| cumulativeAmount | bigDecimal | Cumulative trade amount |
| status | int | Order status: 1: Not traded, 2: Fully traded, 3: Partially traded, 4: Canceled, 5: Partially canceled |
| createTime | long | Order creation time |